const REQUIRED_ENV_VARS = [
  "LLAMA_CLOUD_INDEX_NAME",
  "LLAMA_CLOUD_PROJECT_NAME",
  "LLAMA_CLOUD_API_KEY",
];

export function checkRequiredEnvVars() {
  const missingEnvVars = REQUIRED_ENV_VARS.filter((envVar) => {
    return !process.env[envVar];
  });

  if (missingEnvVars.length > 0) {
    console.log(
      `The following environment variables are required but missing: ${missingEnvVars.join(
        ", ",
      )}`,
    );
    throw new Error(
      `Missing environment variables: ${missingEnvVars.join(", ")}`,
    );
  }
}
